- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# devfs.h File Reference

`#include <ubixos/types.h>`
`#include <vfs/file.h>`

Include dependency graph for devfs.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | devfs_devices
struct | devfs_info
## Functions
int | devfs_init ()
int | devfs_makeNode (char *name, uInt8 type, uInt16 major, uInt16 minor)

## Function Documentation

int devfs_init | ( |  | ) |

Definition at line 215 of file devfs.c.

References devfs_initialize(), devfs_open(), devfs_read(), devfs_write(), NULL, vfs_mount(), vfsRegisterFS(), and x1.

Here is the call graph for this function:

int devfs_makeNode | ( | char * | name,
|  | uInt8 | type,
|  | uInt16 | major,
|  | uInt16 | minor |
| ) |  |  |

Definition at line 178 of file devfs.c.

References devfs_len, devfsSpinLock, devfs_info::deviceList, devfs_devices::devMajor, devfs_devices::devMinor, devfs_devices::devName, devfs_devices::devType, vfs_mountPoint::fsInfo, kmalloc(), kprintf(), devfs_devices::next, devfs_devices::prev, spinLock(), spinUnlock(), sprintf(), strlen, and vfs_findMount().

Referenced by fdc_init(), and initHardDisk().

Here is the call graph for this function: